# Border

Border mixins are used to add (or remove) simple border styles.


## `border`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |
| `$border` | `string` or `list` | (optional) Example: `1px solid #bbb` |

Adds a border on all sides.


## `border-0`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |

Sets all borders to `0`


## `border-top`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |
| `$border` | `string` or `list` | (optional) Example: `1px solid #bbb` |

Adds a border to the top.


## `border-start`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |
| `$border` | `string` or `list` | (optional) Example: `1px solid #bbb` |

Adds a border to the "start", which is usually the left. If a right-to-left
stylesheet is used, "start" should mean right.


## `border-bottom`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |
| `$border` | `string` or `list` | (optional) Example: `1px solid #bbb` |

Adds a border to the bottom.


## `border-end`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |
| `$border` | `string` or `list` | (optional) Example: `1px solid #bbb` |

Adds a border to the "end", which is usually the right. If a right-to-left
stylesheet is used, "end" should mean left.


## `border-radius`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |
| `$border-radius` | `string` | Example: `4px` |

Adds a border-radius.
