# `Color`

Color mixins are used to apply text and fill colors to an element.


## `color-neutral-30`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |
| `$color` | `string` | (optional) Default: Default: `#e8e8e8` |

Sets the element's color and fill according to `$color`, typically a lighter
variation of grey.


## `color-neutral-40`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |
| `$color` | `string` | (optional) Default: `#bbb` |

Sets the element's color and fill according to `$color`, typically a
light-medium grey.


## `color-neutral-50`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |
| `$color` | `string` | (optional) Default: `#888` |

Sets the element's color and fill according to `$color`, typically a
medium grey.


## `color-neutral-60`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |
| `$color` | `string` | (optional) Default: `#555` |

Sets the element's color and fill according to `$color`, typically a
medium-dark grey.


## `color-neutral-70`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |
| `$color` | `string` | (optional) Default: `#333` |

Sets the element's color and fill according to `$color`, typically a dark grey.


## `color-brand`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |
| `$color` | `string` | (optional) Default: `blue` |

Sets the element's color and fill according to `$color`. This color should match
the brand color of the project.


## `color-accent`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |
| `$color` | `string` | (optional) Default: `yellow` |

Sets the element's color and fill according to `$color`. This color should match
an accent color of the project.


## `color-success`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |
| `$color` | `string` | (optional) Default: `green` |

Sets the element's color and fill according to `$color`, typically a green.


## `color-error`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |
| `$color` | `string` | (optional) Default: `red` |

Sets the element's color and fill according to `$color`, typically a red.


## `bg-color-neutral-30`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |
| `$color` | `string` | (optional) Default: `e8e8e8` |

Sets the element's color and fill according to `$color`, typically a light grey.


## `bg-color-error`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |
| `$color` | `string` | (optional) Default: `red` |

Sets the element's color and fill according to `$color`, typically a red.


## `bg-color-light-error`

| Parameters | Type | Details |
| ---------- | ---- | ------- |
| `$important` | `boolean` | (optional) Default: false |
| `$color` | `string` | (optional) Default: `#ff4d4d` |

Sets the element's color and fill according to `$color`.
